---
title: Stolen Focus
subtitle: Why You Can't Pay Attention - and How to Think Deeply Again
author: Johann Hari
isbn: 9781526620224
rating: 4
image: https://cdn.wonderfulfrog.com/images/stolen-focus.jpg
tags: ["focus", "adhd", "psychology"]
year: 2022
---

I found this book mostly interesting and easy to digest. Hari has a writing style that keeps you turning the page.

I was originally frustrated with the author because Hari kept the focus on their experience on their retreat but did not acknowledge the amount of privilege in being able to do so. I see this sort of advice frequently in the self-help sphere and I’m tired of it. It was distracting from their points regarding our relationship to our technology and the software that powers them.

I’m relieved that they _eventually_ acknowledged their privilege but it took at least 1/4 of the book. It was worth sticking with it because the rest of the book stops talking about the retreat and focuses more on where their research on focus and attention lead to.

I thought the "voodoo doll" analogy was especially apt. Facebook, Google, et al are creating what are effectively "voodoo dolls" of everyone who uses their services. As they acquire more data on a person, that "voodoo doll" becomes closer to looking and acting like them. Everything they do is in service of improving that doll - until they know you better than you know yourself!

The "voodoo doll" analogy ties in nicely to what has become known as "surveillance capitalism", or in other words the widespread collection and harvesting of data by large corporations. I wasn't familiar with the term surveillance capitalism before reading the book - a helpful (and clearly defined) concept that helps others understand what is happening to them.

There was an interesting discussion on outrageous content - outrageous content being the best way to keep us engaged and locked into our social media - and the constant firehose of outrageous content keeps us engaged and enraged with the content and blind to everything else around us.

Which lead me to thinking - are far-right politicians aware of this? Intuitively as I type this out - of course they are! But it never occurred to me to stop and think "wait, are they just saying this because it drives engagement?" Of course any sort of vile rhetoric is ripe for the algorithm to highlight and keep people angry. Angry people means more engagement, and more engagement means more advertising dollars.

Another new term I learned was "cruel optimism" - which was incredibly common to see in the self-help circles about 10 years ago. Hari defines it as presenting an upbeat, simple individual solution to a complicated, deep problem. Said solution is too limited and ignores the deeper causes behind the problem. Inevitably what happens is that whoever tries to implement the solution will fail, and they will blame themselves instead of the larger problem. It reframes the problem as a personal failure rather than a failure of the system - which is what it tends to be with these deeper problems.

The last chapters on the book featured ADHD and children. I was happy to see that there is a growing trend to look at a child's environment rather than their biology as to why children might have trouble focusing. It's something that can develop as a response to the child's environment. And the importance of a child having "unstructured play", where children get to... be children. Modern parenting suggests you should never leave your children unattended, even though an average adult's favourite childhood memory is when they got to escape their parents and go build forts in the woods, or something to that effect. Nowadays children are never without their parents... go here, do this, follow me... I even catch myself thinking "wait, where is that child's parents?" even though they are more than old enough to be on their own. It's a pernicious concept that affects even non-parents.
