---
title: My vinyl journey
excerpt: A cautionary tale of getting into collecting records.
tags: ["music", "vinyl", "collecting"]
---

**Update 04/16/2019**: See the updates section at the bottom for further discussion.

I’m here to tell you vinyl collecting isn’t all its cracked up to be. Like many hobbies, it takes time and dedication to truly appreciate. I’m here to offer a cautionary tale to anyone looking to start the hobby. It’s important to make sure you want to do it for the right reasons - something I didn’t do when I started.

{% image "https://cdn.wonderfulfrog.com/images/mmb.jpg", "Record cover of Mogwai's Mr. Beast", "Mogwai's Mr. Beast" %}

At some point in 2008 I decided to begin my vinyl journey. After hearing about records making a quiet comeback from my friend I thought I might see what this was all about on a whim. After perusing the local music store’s then-growing record collection I came out with [Mogwai's Mr. Beast](https://itunes.apple.com/ca/album/mr-beast/794356427). When I returned home I asked my parents for their old record player. My Mom returned my request with surprise.

> "You want what?"
>
> "Your old record player. You still have it right?"
>
> "Yes but... Why?"
>
> "Records are coming back!"
>
> "Huh."

Off to the garage we went. Beneath a pile of old DVDs and other relics of another age - there it was. With the player was a giant container of records. I lugged the two with anticipation and enthusiasm upstairs. The record player was Dual's CS 728Q.

{% image "https://cdn.wonderfulfrog.com/images/dual.png", "Poster for the Dual CS 728Q record player", "The subtle off-white colouring, the tasteful thickness of it..." %}

I didn't have a sound system at the time - so my setup was a messy daisy-chain of cords that eventually lead to a pair a cheap computer speakers. I excitedly rummaged through my parents collection looking for one album in particular. With a pleased grin I found it. I was looking for [Pink Floyd's Wish You Were Here](https://itunes.apple.com/ca/album/wish-you-were-here/1065973975).

{% image "https://cdn.wonderfulfrog.com/images/wywh.png", "Record cover of Pink Floyd's Wish You Were Here", "Pink Floyd's Wish You Were Here" %}

I admired the gatefold LP for some time before placing it on the platter. Pressing the start button the record started turning. The tone arm swung over and locked into place, hovering over the record. Gently it lowered itself until it landed with a subtle popping sound. It was at this point I realized what a phono preamp was - and without having one means there is very little sound. Undeterred, I cranked the volume on my tinny little speakers. It wasn't much but I could hear it! David Gilmour's wailing guitar pumping through the needle to my speakers. It was a magical moment for me. I listened to the whole album on those horrible speakers, completely enthralled in the medium.

After listening to Wish You Were Here I quickly switched to [Dark Side of the Moon](https://itunes.apple.com/ca/album/the-dark-side-of-the-moon/1065973699). It was somewhere around this point that I decided that I want to get into collecting vinyl.

## The collection grows

As with most things I get interested in, I launched into this new hobby with reckless abandon. If there was a record of a new album coming out - I’d buy it. One record I think of often is [Dinosaur Jr.’s Farm](https://itunes.apple.com/ca/album/farm/543340712) - the striking furry green creatures towering over the skyscrapers. It was unique and colourful, and I can admit years later I bought it strictly for the artwork. The thrill of opening a gatefold and getting lost in the artwork - this was something you didn’t get with digital or CD copies. It became a ritual in its own like when I would read the manuals with video games before playing them. With every new record I would sit and admire the artwork first - taking in all the work put into the cover.

With my new desire to acquire any and all kinds of vinyl I wandered into shops and would eat up anything that looked remotely interesting. About a year into the hobby I started to notice that more and more of my favourite artists were releasing brand new pressings of their upcoming albums. The writing was on the wall - the record companies were taking notice of the resurgence of vinyl and were preparing to go in swinging. I didn’t think much of it at the time of course.

{% image "https://cdn.wonderfulfrog.com/images/djf.png", "Record cover of Dinosaur Jr.'s Farm", "Dinosaur Jr.'s Farm" %}

It was also around this time I started to notice more of the minor annoyances with vinyl - chiefly the maintenance aspect. By virtue of the way the medium works, anything like dust, dirt, or small particles are the enemy. They cause pops and cracks, or worse skips. My brand new records started showing these symptoms after a few plays. Again though I falsely convinced myself this was all part of the charm and just needed to be accepted; the worrying never stopped though. I would often have to convince myself the record would be fine and to just play it. For the large part I was still enjoying the hobby, but starting to realize some of the downsides that came with it.

## Animal Collective

During this time I can recall a particularly vivid memory relating to a record purchase. In 2009 Animal Collective released their breakout album [Merriweather Post Pavilion](https://itunes.apple.com/ca/album/merriweather-post-pavilion/300683110). I remember picking it up at the store after months of anticipation (and listening to low-quality album leaks). After the usual ritual of gatefold admiration, I put the record on the platter and hit start. With headphones hooked up, I put on my pair of Sony MDRV6s and laid down on the bed. I closed my eyes. Soon the opening notes of In the Flowers began. I lost myself on a sonic odyssey - interrupted only by the necessity to flip the record over. It was one point in my life where I recall listening to an album front to back without _any_ distractions. Despite my slow-growing annoyance with vinyl as a hobby, this is one memory I always look on fondly.

{% image "https://cdn.wonderfulfrog.com/images/acmpp.jpg", "Record cover of Animal Collective's Merriweather Post Pavilion", "Animal Collective's Merriweather Peace Pavilion" %}

## Annoyance turns to irritation

Sooner or later I started to question my dedication to this hobby. At the start I convinced myself that everything sounded _better_ - the usual “it sounds warmer” type of stuff. Eventually though I began to question that. Did it really sound all that better? A lot of my records had plenty of pops, hisses and crackling. Is this really what everyone was talking about? Not to mention the maintenance required to keep a record in good shape. Things like dust covers and cleaning tools.

And then the physical act of having to manage a record while it plays. It sounds like a small thing, but after so long it starts to get aggravating. Sometimes you just want to listen to music without any fiddling.

I started to do some research on this whole “warmer sound” thing. I came to the conclusion it’s largely nonsense, or in other words it’s mostly placebo. I can imagine vinyl might sound great if you’ve got the sound system to support it - but what’s doing the job here? Is it the vinyl or the thousands invested into audio equipment? I’m leaning towards the latter.

Then - finally - the realization set in.

## The realization

I got into vinyl for all the wrong reasons. I wasn’t ready to accept the work that comes with the hobby. I can admit I got sucked into the hype and hipster nature of the hobby when it first started to see a resurgence. I wanted to hear that “warmer sound”, and convinced myself I was.

I was certain everything I was hearing would sound so much better than on my computer or CD player - but failed to realize that if you only have a budget audio setup, odds are you won’t hear any difference. Not to mention you’ll hear more of the pops, hisses, etc.

I didn’t understand that maintenance plays a larger role than I realized. It’s not enough to buy the record and play it. It needs to be cared for and can’t be mistreated. If not cared for properly, imperfections are introduced into the sound. It’s also possible to permanently add this imperfections. This might be appealing to some, but I realized I just want to listen to music without any of the added effort.

It doesn’t sound like much, but having to be responsible for a record while it plays can be tiring. For me it all came back to just wanting to listen to music with little effort. I want to focus on what I’m doing, whether that’s relaxing or working or whatever.

Records tend to eat up space quickly. After putting a stop to my collecting I’m somewhere around 100-200 records. They take up a wall of my apartment, and weight _a lot_. They are not easy to move around if it’s necessary. They have to be stored properly (upright in other words), otherwise you risk warping the record.

- To really appreciate vinyl you have to be fully dedicated to it
- Odds are you won't hear a difference until you invest in your audio setup. Anything you hear is your own perception.
  - Might be enough for some but I wanted more empirical evidence. Not enough to go by a feel for me, especially what vinyl needs
- Understand that owning records means you need to take care of them. They are prone to failures. Easy to form a permanent skip/pop/hiss in the record
- The act of changing a record can be tedious especially when you just want to listen to music
- They take up huge amounts of space and require adequate storage (or risk ruining the record due to warping)
- They're heavy!

## So you want to get into vinyl

Collecting vinyl is a lot of fun, but I think demands more than most think about. In summary:

- Effort
  - Changing a record
  - Moving your collection
  - Needle placement (if turntable is not automatic)
- Care
  - Maintaining record quality with sleeves
  - Proper storage
  - Keeping environment as dust and particulate free as possible
  - Cleaning older records
- Cost
  - Now that the hobby is a lot bigger expect to pay higher costs
  - Newer turntables are not cheap
  - Monetary cost of storage units, cleaning, etc

As of this writing the vinyl resurgence is in full swing and the record companies noticed. Record Store Day used to be an exciting time for new, rare releases and other hard-to-find items. It has become a fully commercialized day full of nothing but marketing. Expect to have to really hunt the records now as scalpers scoop them up and try to make a quick buck on eBay.

The records your parents used to listen to have all been bought up by collectors years ago - the only copies left are going to be expensive. You’ll really have to dig for the diamonds in the rough.

New releases can go for anywhere around $30-$40 (CAD), and are often pressed into double (or even triple) albums due to space on the record itself. If you’re lucky you can find it locally, otherwise look forward to even higher costs due to shipping (and possibly scarcity).

Having said all this - the hobby can be really fun. Not much can compare to the physical act of playing a record and listening to it. It unfortunately took me some financial and time investment to find out it wasn’t for me. Hopefully you can decide for yourself first before you dive straight in.

As of now I’m sitting on a sizeable record collection. I’ve invested a lot of time into it and find it hard to part with it despite the fact I haven’t listened to a single one in probably years now. Holding some records brings me happiness and joy, which tells me that I shouldn’t part with them. One day I’ll thin out the collection and reduce it to albums I know I truly love and adore. For now though, it’s a great conversation starter!

## Update - April 16th 2019

I recently watched a video that does a better job at explaining the technical parts of how vinyl works and dives into the "does vinyl actually sound better" with more detail than I provided. I recommend watching it regardless of what side you're on when it comes to vinyl.

[The Truth About Vinyl - Vinyl vs. Digital](https://www.youtube.com/watch?v=lzRvSWPZQYk)
