---
title: Recently
excerpt: September 2020.
tags: ["recently"]
---

Been feeling kind of low lately. Struggling to feel engaged and get started on some of my personal projects. Facing my inner demons as it were, and trying to get back on my feet. On the other hand, I’m working hard on my personal fitness, so that’s going well! 💪

## Work

In a bit of downtime at the moment, so myself and a few other coworkers got to work building a Slack app for a non-profit organization. It’s been a really enjoyable project so far! I’ve been able to learn so much new tech, and get to flex my leadership muscles a bit. We just had a demo and they loved it! I’m looking forward to where this goes.

## Playing

Besides Animal Crossing, here are some games I played this month.

### A Short Hike

A simple game that reminds me of adventuring in the backwoods of BC when I was younger (even though A Short Hike technically takes place in Ottawa). A game with a simple premise (get to the top of a mountain) has a lot of charm and character, and plenty to do too. There is no map, so you’ll be relying on pure exploration to get the most out of this game. There is plenty to find, be it Treasure Maps, Golden Feathers, or a variety of mini-games to play. The visuals harken back to the days of early 3D (especially PlayStation with the chunky pixels), which instantly transports me into a simpler time. Everything is cute and cuddly, and gives those warm, cozy vibes (that we could all use). The world drew me in, and even after finishing my main “objective”, I am going back for more. There is a lot to explore and uncover. At the same time though, if you decided to end your adventure after the peak, you’re still left with a fun little distraction that is worth the price of entry.

### Spiritfarer

This game reminds me of the show The Good Place, but with a more somber tone. It’s a meditative management game with a whole lot of the human element to it. Each spirit you take on has their own wants and desires — things they would like to do before they pass through the Everdoor. As the name would suggest, this is the door you pass on to the great beyond.

You end up having to take care of a small farm and kitchen in order to keep them fed, and then harvest resources to build other structures on your ever-growing boat. There’s never a shortage of things to do, but it also never feels like there’s any great pressure to get things done. The game is happy to go at your own pace.

## Watching

### Murdoch Mysteries

Murdoch Mysteries stars the titular William Murdoch — detective for the Toronto Constabulary during the turn of the (20th) century. The series follows Murdoch and the constabulary as they solve various police cases, typically gruesome murders.

Apparently I never like a TV show immediately, because this one at first glance struck me as a bit uninteresting. My partner would have it on in the background, and I would tune in every now and then and kind of roll my eyes and continue whatever I was doing. Soon though I found myself slowly getting sucked into the show, starting to ask about characters (what’s Constable Crabtree doing now? What’s the Inspector talking about?), and following larger plot points. The real kicker was when James Gillies started to become the big bad and a recurring nemesis for Murdoch, and before I knew it I found myself fully enveloped into the show.

It helps that Murdoch is a giant nerd, and he and George get to regularly geek out about whatever new invention in their current focus; whether it be something the detective has concocted to help solve the current case, or new contraptions like the automobile.

Without a doubt my favourite character is George Crabtree — dutiful partner to Murdoch. The two are practically inseparable and form a charming duo. I really feel for George. He tries very hard to live up to the detective’s name and attempts to impress him at every opportunity. He succeeds just as much as blunders, and I just love it. Not to mention that it’s produced by the CBC, so it’s good ol’ fashioned Canadian entertainment.

### [What is Quakerism?](https://m.youtube.com/watch?feature=youtu.be&v=E8RDjg0Mhyw)

Continuing with my exploration into religion, my partner sent me this video from Jessica Kellgren-Fozard on Quakerism. If there was any religion I felt like exploring, this one really resonates with me. An emphasis on inclusivity and belonging, and a sense of community are all things I can get behind. There is no sense of (formal) leadership, but rather everyone is equal. Fun fact: that famous oat company stole their name.

## Reading

### [My Fave is Problematic: Kill la Kill](https://www.animefeminist.com/my-fave-is-problematic-kill-la-kill/)

I’ve fallen off of the anime fandom in a huge way in the last few years. I was tired of the tropes, especially the consistent mistreatment of women in most shows. That’s not to say they are all guilty of problematic content, but there are more that do have the content than those that don’t. This article helped articulate my feelings better than I could. I think it also leads into another discussion point: can we enjoy problematic media? I think the answer differs for everyone, but it’s a fun topic to explore.

### [The Big Leap by Gay Hendricks](https://www.goodreads.com/book/show/6391876-the-big-leap)

These days I would style myself as a recovering addict when it comes to self-help books. There never is (and never was) a single trick to turn my life around. I’m increasingly wary of the entire industry, as I’m now certain that not everyone is looking to help people out. I think these kinds of books can be helpful as a springboard, but a lot seem to parrot the same advice, only phrased differently using the author’s writing style. This book largely seems to follow that trend. I’m frankly tired of hearing about how the author overcame adversity when the adversity is so disconnected with what your average person faces. The amount of famous people (read: white billionaires) he’s helped is numerous and wants to remind us quite often. I don’t care. The author loves to use chirpy terms like “Zone of Genius” non-ironically, and it’s very grating. These hokey-sounding terms cause me to view their ideas with increased skepticism.

Tone aside though, I think there are nuggets of truth buried inside. The “Upper Limit Problem”, or the idea that we self-sabotage when feeling good, rings true for me. I think the notion that we deliberately get ourselves sick is ridiculous (the author recounts a situation where a patient deliberately gave himself laryngitis), but I do notice that I have a tendency to start criticizing myself, or being antagonistic once things get good in my life. It can be helpful to be aware and acknowledge when this happens.

While the term “Zone of Genius” makes me roll my eyes, I think the concept is solid. The Zone of Genius is described as something in life that always brings you joy, even if it’s considered work (i.e. your job). You’ll always feel energized and ready to tackle problems in this space. It supercharges your brain and gets you motivated.

## Listening

### [Death Grips - Year of the Snitch](https://www.youtube.com/watch?v=C2Vwn3pxUPg)

I remember trying to get into Death Grips way back when The Money Store was the new hotness, but their brand of aggressive and in-your-face hip hop was too much for my budding musical tastes. Coming back nearly a decade later though, and I can’t help but love what’s going on here. The raw energy pouring from this group can be too much for some — not in the “you just don’t get it” hipster sense, but in an actual “auditory overload” sense. You’ve gotta be in the right headspace for it, and every now and then you need to stop and breathe. In the moment though, it’s pure bliss. Now I get to go all the way back and explore their remaining catalogue.

### [Lady Gaga - Born This Way](https://www.youtube.com/watch?v=wagn8Wrmzuc)

I “stumbled” upon Lady Gaga because I was forced to for a university class. We were tasked with exploring music that we would not normally listen to. I opted to search YouTube one day for the first top 40 pop artist that came to mind — this being somewhere around 2010 so Lady Gaga it was. The first song I clicked on was a music video for “Judas”. As it turns out that song is an absolute banger and from then on I was a Gaga convert.

Going thrift shopping one weekend, I stumbled upon a CD copy of Born This Way for a buck. Why not? I ripped it and added it to my library. I don’t think I’ve listened to the whole album before, but it’s real good! Everything is so catchy. I’m not known to belt out tunes, but I can’t help but join in and mouth (maybe even sing a little) the lyrics.

### [No Joy - Motherhood](https://nojoy.bandcamp.com/album/motherhood)

I haven’t more than a full listen or two yet, but No Joy (unlike their name) provides plenty of shoegaze joy yet again. I hope I can see them live again sometime in the future, once the world… y’know, stops being crazy.

### [Chilly Gonzales - Solo Piano II](https://www.youtube.com/playlist?list=PL0122C1147CDF8B77)

A perfect “rainy day” record. Gonzales is a master of the piano, and proof that it will always be my favourite instrument.

Until next time. 👋
