---
title: "The Fellow Stagg: A Review of the Details"
excerpt: Is it the Apple of kettles?
tags: ["tea", "reviews"]
---

{% image "https://cdn.wonderfulfrog.com/images/stagg-kettle.jpg", "My drawing of a Fellow Stagg kettle shaded with Copic markers" %}

The Fellow Stagg is without a doubt the most money I will ever spend on a kettle. It’s been lauded in coffee circles, but how does it stack up on the small things? Let’s sweat over those details.

## Design and aesthetics

The Fellow Stagg has an attractive design that would blend seemlessly into any home. They come in a variety of colours which helps it mesh with any design. It looks like a kettle. It has a pleasing silhouette. It blends in but isn’t afraid to stand out when it needs to. It has a timeless feel.

The LCD screen on the stand is a pleasant two-tone colour. Not white, and not blue. Somewhere in between. The refresh rate is low, which leads to ghosting. It’s slight, but cheapens the feel of the product. Fellow themselves draw attention to the high-resolution display, but does not hold up under scrutiny by any means.

## Interaction

The main controls consist of two physical toggles and a dial. The switches have a satisfying click when set into place. It’s surprisingly easy to move the switches accidentally when moving the stand around, though. My finger has toggled them by accident a few times now.

The two physical toggles control the Farenheit/Celsius setting (which is displayed on the LCD screen), and the heating mode (hold to keep water at temperature, set to boil to the set temperature and turn off).

The dial has a pleasing “clickfeel” to it, which provides a clicking sensation every turn of the dial. One turn means one degree hotter or colder. The dial itself clicks in to turn the kettle on and off, or start the timer. The click is not responsive at all and sometimes requires several presses before it registers. Disappointing.

There isn’t much to navigate with the dial itself, which means no deep menu diving. This is thanks to the switches themselves — a wonderful design decision. The dial is responsible for increasing or decreasing the temperature, and that’s it. Once the dial has stopped moving for a moment, the kettle sets the temperature and gets to work. It can be changed mid-boil.

Speaking of temperature control, it keeps the temperature held accurately. It will keep the water boiling if set to the maximum. It has a “set” mode as an alternative, which heats the water to the set temperature, and then turns off.

There is a timer setting to start a stopwatch (not countdown) timer. It gives a brief 3-2-1 countdown, then starts (which is handy when brewing a pour-over coffee). The kettle will emit no beeps or any sound of any kind, which means there are no alarm settings (say a 4 minute timer for brewing tea). To start the timer requires holding the dial down for a second or two. The aforementioned lack of responsiveness means setting the timer can be hit-or-miss. To stop the timer requires one press. If the kettle needs to be turned off while a timer is running, this requires multiple presses. In my mind this is backwards — I would expect a single press to start a timer and a long press to turn the kettle off.

## Handling

The handle has a well-designed grip. It fits comfortably in my hand, with my thumb resting on the top of the grip. There is a piece of metal between the handle and the kettle itself, and it gets hot. I've scalded my index finger a few times when I grip the handle. I assume the metal bit is there for a reason, but they should've compensated for that by making the handle a little further from the kettle.

It is easy to accidentally spill the kettle when first using it. It pours slowly — which is desirable — but I found on the first few goes I would spill water out the top. It takes getting used to. Eventually though it becomes familiar and controlling the flow is simple. It needs barely a tip to get a good stream going, and even less to slow it down.

With a kettle full of water, it has a good weight to it. Not heavy enough to struggle with, but enough to feel weighty. When placing the kettle back down, it has a nice clunk sound to confirm it’s locked back into place on the stand.

The lid is detachable, which in my mind is a negative. I would prefer it was attached to the kettle, as there isn’t a way to place the lid on the counter without it getting wet (or making it hard to pick back up). I wish the knob on top of the kettle were larger, as I occasionally scald my fingers trying to take it off after a kettle has boiled (I tend to make several cups of tea in a short timespan). The knob itself tends to get pretty hot by proximity to the metal part, which doesn't help.

## Conclusion

I think for a consistent coffee consumer this is likely the ultimate kettle. Not necessary to get started, as there are cheaper gooseneck kettles out there. That being said, I’d be surprised if this unit does not end up lasting me a long time (and I will be sure to let everyone know). The control offered by a gooseneck does make a difference when brewing pour-over coffee, let me tell you.

On the other hand, if you primarily enjoy tea and coffee occasionally (like myself), you might find yourself frustrated with the slowness of a gooseneck when all you want to do is pour water for your dried leaves. Had we the counter space, I’d consider running two kettles. The Stagg would be used for only coffee, and a larger spout kettle for multiple cups of tea. The temperature controls are nice for different brews of tea, but — again, if you are like me — I tend to drink black tea and coffee. I need one setting: boiling.

If you can afford the luxury, and are in need of a gooseneck kettle, the Fellow Stagg won’t do you wrong. There are cheaper options though if you want to try it out first. If you are a tea drinker, there is no need to purchase this kettle nor a gooseneck in my opinion. Stick with a spout kettle.
