---
title: "Weekly Notes #1"
excerpt: The week of tinkering.
tags:
  - frontend
  - shaders
  - music
  - flexbox
  - supabase
  - neovim
  - plex
  - pentiment
  - disco elysium
---

{% image "https://cdn.wonderfulfrog.com/images/ramonadithered.jpg", "test", "Our cat Ramona but she's been dithered!" %}

I don't write enough anymore, and this felt low effort enough that I could at least write _something_. And then the ball started rolling and I wrote even more!

These posts are great snapshots into what my life was like at this point. It can also be used to measure how much I've learned or how my opinions developed.

I don't love the generic "weekly notes" title, so I'll have to come up with something else.

## Links

### [Frontend Horse](https://frontend.horse/)

A website for all things frontend - and what an excellent curation of content they have! It's certainly geared toward the creative side of frontend development, which is what I'm all about. I wish they had an RSS feed, though!

### [Record Club](https://record.club/)

Another music cataloguing site, but I like that they've decided to source their music information from Musicbrainz (which is an open music encyclopedia that anyone can contribute to and use, think Wikipedia with a focus on music). I used to trawl around RateYourMusic a lot, but lately I don't feel like rating music anymore. One day I'll move my content from there.

It's currently invite only, but I got invited pretty quickly after joining the waitlist.

### [The Book of Shaders](https://thebookofshaders.com/)

I've always wanted to learn how to _write_ shaders (and should probably learn how they work first). I discovered this through Frontend Horse and looks to be a wonderful resource for a beginner.

### [An Interactive Guide to Flexbox](https://www.joshwcomeau.com/css/interactive-guide-to-flexbox/)

I haven't finished reading the post yet, but Josh Comeau never misses with his explanations. Whatever level of experience you have with Flexbox, I'm certain you'll learn something new.

## Learning Supabase

Over the weekend I started learning about [Supabase](https://supabase.com/). It's an open source (but with paid tiers) version of Firebase. There are a myriad of features to take advantage of like Edge Functions and even bucket storage. I'm going to dig into this over the summer I hope. I'd love to use Supabase to manage everything on this site.

## Tinkering with Neovim

I love tinkering. I love [neovim](https://neovim.io/). I love tinkering with neovim! Over the last few days I've been playing with some new plugins and refining [my setup](https://github.com/wonderfulfrog/neovim). I'm planning on doing a detailed write-up in a separate post.

## Managing my own plex server

My media library has started to grow and we needed something more robust than my Synology NAS could provide. I bought an old Lenovo ThinkCentre mini PC with a 7th gen Intel processor (for hardware transcoding). I put Ubuntu on it and loaded up Plex. It's been working great, and I'm now trying to leave it alone and let it do its job. There's a strong temptation for me to continually tinker with it, but at some point I have to let it rest.

## What to build next

Since playing around with Supabase I'd like to utilize it somehow for a feature on this site. Over the weekend I discovered a [delightful implementation of a guestbook](https://eva.town/posts/design-outside-the-computer) by [Eva Decker](https://eva.town/), and I'd like to build something similar using Supabase as my backend. It feels simple enough to start with, and perhaps eventually storing all of my content there.

## Playing

### Disco Elysium

{% image "https://cdn.wonderfulfrog.com/images/6039889e2f27c47416b8eb4434f07dcfb9c1a42575577c53eeaddfab6dd17809.jpg", "A screenshot of the game Disco Elysium with the partner Kim Kitsuragi shooting at another character in the shot. The bullet has just been fired and everybody is mid-surprise and shock.", "Disco Elysium" %}

What an incredible game. This is a genre-defining game, for sure. I've finished it and I immediately went in for another run. The first game I structured my character around Empathy, Inland Empire (or in other words, associating thoughts with inanimate objects), and Authority. It was interesting having a sensitive character who is able to read the subtle changes in someone's facial expression or body language. My Inland Empire would come up with ridiculous hunches, and a staggering number turned out to be correct. Sometimes the different skills (your various forms of inner thoughts) would fight with each other, or get things wrong. They are often right, but can't always be trusted.

For my second run I'm going with an Intellect build with a focus on Logic, Visual Calculus, Conceptualization, and Encyclopedia. The Encyclopedia skill will chime in frequently, usually with something helpful, but often with an irreverent factoid that doesn't help at all. It can be quite annoying. Conceptualization has been a fun one to explore, as it makes the protagonist more "artsy" (which leads to some odd dialogue choices), but also concocts some rather creative ideas and theories.

The voice acting is incredible. The actors they chose for the narrator / skills and Kim Kitsuragi are such perfect choices they embody their role completely. I never want to disappoint my partner. All of the voices are great. I'm so immersed with everybody's performances.

I want to keep writing about this game but I'll reserve it for a dedicated post. But suffice it to say this game is worth everyone's time.

### Pentiment

{% image "https://cdn.wonderfulfrog.com/images/pentiment.jpeg", "A screenshot of the game Pentiment, which is shown inside a storybook with Latin writing. The protagonist is overlaid a piece of artwork matching the pose of the artwork. He is opposite of another character saying 'Like Dido, we ordinary women are merely tools in the tales of men. We can never be the protagonists of our own stories.'", "Pentiment" %}

We just started playing Pentiment the other night. It's a painterly game that takes place in 16th century Europe. The typography in this game is stunning. Each character seems to have a different style of writing. Sometimes mistakes are made and the text is erased and written in correctly. It's always beautifully revealed with the flair of someone actually writing.

We're still filling out our protagonist Andreas' background, but liking where things are going!

We already hate Martin. Stupid Martin, what an idiot.

## Music

Some music I've been enjoying this week.

### jiai - [PHANTOM](https://ajisai.bandcamp.com/album/phantom) & [MIDNIGHT](https://ajisai.bandcamp.com/album/midnight)

I've had these on loop almost nonstop since I got them. The Persona soundtracks stand by themselves, and these remixes add a chill and relaxed hip-hop feel to every song. Think lofi hip-hop but with the memorable hooks of Persona, especially Persona 5.

### [Blushing - Sugarcoat](https://weareblushing.bandcamp.com/album/sugarcoat)

Excellent "old school" style shoegaze that reminds me of the staples of the 90s but with modern production. I honestly can't say a bad thing about it, it's a solid record from start to finish. I'd love to pick up one of their special vinyls but the shipping from Bandcamp to Canada is ridiculous. Alas…

### [Nothing - Guilty of Everything (10 Year Anniversary Edition)](https://nothing.bandcamp.com/album/guilty-of-everything-10-year-anniversary-edition)

Spinning this one today and wanted to highlight another stellar shoegaze album. This one has a darker edge to it but Nothing are honestly titans of shoegaze at this point. I've yet to hear anything from them that I didn't enjoy.
