---
date: 2024-06-27T19:26:32-07:00
title: Music today is great
excerpt: Sometimes you just have to go looking for it.
tags:
  - music
  - bandcamp
  - streaming
  - spotify
---

I was reading a post by [Nick Heer of Pixel Envy][pixelenvy] and it got me
thinking. I'm sure we've all seen the comments in YouTube videos where people are saying "I was born in the wrong generation", or "music sucks today", or some variation of this theme.

I believe we see these types of comments because the music genres those individuals listen to aren't popular (or were and aren't anymore). For example, I see these types of comments when looking at videos featuring bands like Pink Floyd. Bands like these used to get constant radio play, but nowadays you would only hear them on "classic rock stations" at best.

The critical piece that I think not everyone realizes is that the music you like is still being made, it's just a bit harder to find now.

Streaming services like Spotify have made the availability of music absolutely unparalleled. There is a sheer amount of music available that it can be overwhelming. How can someone find new music when they are spoiled for choice?

There is also a level of trust the average user places in their streaming service to tell us what it likes. It's supposed to learn what we like and only suggest things we might like, but what if they have an ulterior motive (and they do) to serve us things that record labels paid for? The same goes for genre playlists (if they even have them). Who gets to decide which artists are inside them (and why is it likely money)?

What should we do to find new music? You go looking for it.

<aside>

**FYI**

I'm going to suggest using Bandcamp because it's my favourite service, but that doesn't mean its the only answer to finding new music. Let me know what your favourite way is to discover new music!

</aside>

[Bandcamp][bandcamp] has wonderful tools for finding music that fits into practically any genre you like. You can be as broad as "alternative", or get into the weeds with something like "industrial shoegaze" (and I hope something like that exists, even though I just made it up). Being able to mix and match like this is so powerful!

{% image "https://cdn.wonderfulfrog.com/images/bandcamp-screenshot.jpg", "Screenshot of bandcamp.com showing a list of artists that match the genres 'shoegaze' and 'industrial'. There is a grid of album art on the left, with a panel on the right showing the currently playing song or album.", "I'm so happy to see that 'industrial shoegaze' is indeed a thing!" %}

All you need to do is start typing your favourite genre into the search bar and search by "Music tagged with 'your genre'". That's it! You now have a feed of music to try and sample, it's just that easy. New music is being added all the time, so you can keep coming back for more. If you're feeling extra spicy, you can use the "surprise me" sort option and see what you get.

The business model of Bandcamp is much fairer than something like Spotify or Apple Music. Bandcamp allows users to give an album or song a few listens before they have to pay, which is quite fair. The profits from a sale go mostly to the band and not Bandcamp (although they do take a small percentage). There are also events like Bandcamp Fridays where an even higher percentage (like 99%) goes to the band, so it's a great time to buy a boatload of wishlist items. But don't wait until those events, because it's still great to support your favourite artists.

All that said, Bandcamp suffers from the same problem that streaming services do. There are so many things to listen to. It would take days to exhaust even the most niche of genres, so I encourage you to be _ruthless_ in your pursuits. Search wide and not deep. Find the music that speaks to you and latch onto that. You can always make a note of any songs you like to revisit later. But don't feel afraid to scan, skim, and skip. There's a lot to discover and you won't find it all on the first pass.

The act of searching for new music is an active pursuit, rather than being fed music by an algorithm (that, quite honestly, is probably going to get it wrong more often than right). It can be a fun activity though. It's so rewarding when you find **That Band** and devour their entire catalogue. You form closer connections to the artists, and Bandcamp is a great platform to support artists in other ways, and for artists to keep in touch with their fans.

I hope this helps you find new music, and if you have any other ways you like for music discovery, please share them with me!

[pixelenvy]: https://pxlnv.com/blog/music-today/
[bandcamp]: https://bandcamp.com/
